Bug 213900 - Unable to handle kernel NULL pointer dereference calling drain_node_pages in slab.c
Unable to handle kernel NULL pointer dereference calling drain_node_pages in ...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-11-03 12:46 EST by Daniel Yeisley
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-04 09:45:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Boot log with failure (42.38 KB, text/plain)
2006-11-03 12:46 EST, Daniel Yeisley
no flags Details
init_reap_node() fix patch (413 bytes, patch)
2006-11-03 12:53 EST, Daniel Yeisley
no flags Details | Diff

  None (edit)
Description Daniel Yeisley 2006-11-03 12:46:15 EST
Description of problem:
Certain ES7000 configurations cause a kernel oops when drain_node_pages() is 
called in slab.c.  We see this when NUMA is enabled, and we boot with CPUs in 
nodes that don't also have memory.  

Version-Release number of selected component (if applicable):
Milestone 7

How reproducible:

Steps to Reproduce:
1.  Configure an ES7000 to use CPUs from all cells, but only memory from 1 Cell
2.  Boot
Actual results:

Expected results:

Additional info:
Comment 1 Daniel Yeisley 2006-11-03 12:46:15 EST
Created attachment 140295 [details]
Boot log with failure
Comment 2 Daniel Yeisley 2006-11-03 12:51:42 EST
This is also a problem in the vanilla kernel, and is fix by a patch I posted to 
the LKML.  

Comment 3 Daniel Yeisley 2006-11-03 12:53:02 EST
Created attachment 140296 [details]
init_reap_node() fix patch
Comment 4 RHEL Product and Program Management 2006-11-06 15:00:43 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 5 Bruce Vessey 2006-11-09 16:14:09 EST
Dan Yeisley reports that this patch has been accepted into 2.6.19-rc5.
Comment 6 Peter Martuccelli 2006-12-04 09:45:22 EST
This is already resolved in R5.
Comment 7 Daniel Yeisley 2006-12-05 10:56:40 EST
What's the version of the kernel that this patch went into?

Note You need to log in before you can comment on or make changes to this bug.